Ubuntu 20.04 Focal Fossa desktop launchers not working

Bug #1878392 reported by Tom F on 2020-05-13
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gnome-shell-extension-desktop-icons (Ubuntu)
Low
Unassigned

Bug Description

Using the procedure here =
https://linuxconfig.org/how-to-create-desktop-shortcut-launcher-on-ubuntu-20-04-focal-fossa-linux

AND OTHERWISE

I have successfully created launchable desktop app shortcuts. But they stop working: (1) no launch; (2) no right click context to make launchable; and (3) no app icon. They can even remain in ~/Desktop but disappear from the desktop view. A logout kills them. Creating another new launcher is successful and peculiarly triggers the temporary reactivation of all the others. But euphoria soon dies as they all revert to inertia later.

My work around at present is to install PCManFM 1.3.1. Navigating to ~/Desktop on PCManFM, my Nautilus created launchers are all visible, launchable and have the usual colourful app icon features. But they remain inert in Nautilus.

My Gnome version is: 3.36.1

Sebastien Bacher (seb128) wrote :

Thank you for taking the time to report this bug and help make Ubuntu better. Unfortunately, we cannot work on this bug because your description didn't include enough information. You may find it helpful to read 'How to report bugs effectively' http://www.chiark.greenend.org.uk/~sgtatham/bugs.html. We'd be grateful if you would then provide a more complete description of the problem.

We have instructions on debugging some types of problems at http://wiki.ubuntu.com/DebuggingProcedures.

At a minimum, we need:
1. The specific steps or actions you took that caused you to encounter the problem.
2. The behavior you expected.
3. The behavior you actually encountered (in as much detail as possible).

Thanks!

Changed in nautilus (Ubuntu):
importance: Undecided → Low
status: New → Incomplete
Tom F (n411303) wrote :

Sorry, I'm afraid I'n not very familiar with this.

The steps I followed where in the link I gave:

https://linuxconfig.org/how-to-create-desktop-shortcut-launcher-on-ubuntu-20-04-focal-fossa-linux

There is now a YouTube showing the problem:

https://youtu.be/irZME1Tt-EA

Is there anything else I can do/should do to better explain how to replicate?

Tom F (n411303) wrote :

The behaviour of Nautilus desktop remains baffling. But I have resolved the problem on my PC by recreating my user profile and home user folder.

Sebastien Bacher (seb128) wrote :

Thank you for the youtube video, it helps understanding the issue.

It seems the icons get in a non working state for you sometime, which doesn't happen here on an existing upgraded systems nor in a fresh installation so likely a timing or config issue. Would it be possible to get a 'journalctl -b 0' log after seeing the issue and add it to the bug.

Nautilus upstream decided to remove handling for launcher which is not something we are really happy about but that's their choice, you can read about it there https://gitlab.gnome.org/GNOME/nautilus/issues/184

The desktop is now handled by a new component so the issue you describe is due to that one, reassigning

affects: nautilus (Ubuntu) → gnome-shell-extension-desktop-icons (Ubuntu)
Changed in gnome-shell-extension-desktop-icons (Ubuntu):
status: Incomplete → New
Tom F (n411303) wrote :
Download full text (7.6 KiB)

Thank you Seb

Once I realised that mine was the only user account on my home desktop PC with this problem, I tried deleting all hidden config files that included the words "Nautilus" or "Gnome". This did not help so I created another sudoer and removed my home folder. I then recreated my home folder using cp /etc/skel. As explained in my earlier post, this action has removed the problem. I now feel that this issue is unlikely to be replicable by others.

However in case it useful I followed your suggestion and put "journalctl -b 0" into a terminal and below is the result. I have only copies part of the output. I'm afraid I do not understand any of this myself.

-- Logs begin at Wed 2020-04-29 19:21:25 BST, end at Mon 2020-05-18 16:42:40 BS>
May 17 13:04:20 susan kernel: microcode: microcode updated early to revision 0x>
May 17 13:04:20 susan kernel: Linux version 5.4.0-29-generic (buildd@lgw01-amd6>
May 17 13:04:20 susan kernel: Command line: BOOT_IMAGE=/boot/vmlinuz-5.4.0-29-g>
May 17 13:04:20 susan kernel: KERNEL supported cpus:
May 17 13:04:20 susan kernel: Intel GenuineIntel
May 17 13:04:20 susan kernel: AMD AuthenticAMD
May 17 13:04:20 susan kernel: Hygon HygonGenuine
May 17 13:04:20 susan kernel: Centaur CentaurHauls
May 17 13:04:20 susan kernel: zhaoxin Shanghai
May 17 13:04:20 susan kernel: x86/fpu: Supporting XSAVE feature 0x001: 'x87 flo>
May 17 13:04:20 susan kernel: x86/fpu: Supporting XSAVE feature 0x002: 'SSE reg>
May 17 13:04:20 susan kernel: x86/fpu: Supporting XSAVE feature 0x004: 'AVX reg>
May 17 13:04:20 susan kernel: x86/fpu: xstate_offset[2]: 576, xstate_sizes[2]:>
May 17 13:04:20 susan kernel: x86/fpu: Enabled xstate features 0x7, context siz>
May 17 13:04:20 susan kernel: BIOS-provided physical RAM map:
May 17 13:04:20 susan kernel: BIOS-e820: [mem 0x0000000000000000-0x000000000005>
May 17 13:04:20 susan kernel: BIOS-e820: [mem 0x0000000000058000-0x000000000005>
May 17 13:04:20 susan kernel: BIOS-e820: [mem 0x0000000000059000-0x000000000009>
May 17 13:04:20 susan kernel: BIOS-e820: [mem 0x000000000009e000-0x000000000009>
May 17 13:04:20 susan kernel: BIOS-e820: [mem 0x0000000000100000-0x000000008b85>
May 17 13:04:20 susan kernel: BIOS-e820: [mem 0x000000008b852000-0x000000008b85>
May 17 13:04:20 susan kernel: BIOS-e820: [mem 0x000000008b859000-0x000000008c30>
lines 1-23...skipping...
-- Logs begin at Wed 2020-04-29 19:21:25 BST, end at Mon 2020-05-18 16:42:40 BST. --
May 17 13:04:20 susan kernel: microcode: microcode updated early to revision 0x27, date = 2019-02-26
May 17 13:04:20 susan kernel: Linux version 5.4.0-29-generic (buildd@lgw01-amd64-035) (gcc version 9.3.0 (Ubuntu 9.3.0-10ubuntu2)) #33-Ubuntu SMP Wed Apr 29 14:32:27 UTC 2020 (Ubuntu 5.4.0-29.33-generic 5.4.30)
May 17 13:04:20 susan kernel: Command line: BOOT_IMAGE=/boot/vmlinuz-5.4.0-29-generic root=UUID=c977975b-e6da-444a-b063-5200452dc91f ro quiet splash vt.handoff=7
May 17 13:04:20 susan kernel: KERNEL supported cpus:
May 17 13:04:20 susan kernel: Intel GenuineIntel
May 17 13:04:20 susan kernel: AMD AuthenticAMD
May 17 13:04:20 susan kernel: Hygon HygonGenuine
May 17 13:04:20 susan kernel: Centaur CentaurHauls
May 17 13:...

Read more...

Sebastien Bacher (seb128) wrote :

The log only has the same page, you would need to do
$ journalctl -b 0 > log
and add the 'log' file to the bug, also please do it from the session of the user having the issue if you kept the config

Changed in gnome-shell-extension-desktop-icons (Ubuntu):
status: New → Incomplete
Tom F (n411303) wrote :

Hi Seb, I'm really sorry but that user is gone. Unless another user develops the same issue, I feel it may be appropriate to put this down as an aberration in Ubuntu but close the bug entry. (I do not know how to do that).

Thanks again for your help. It is much appreciated.

Tom

Sebastien Bacher (seb128) wrote :

Thanks, closing the bug then, it was probably due some leftover configuration and we are not likely to figure it out now that it has been resolved

Changed in gnome-shell-extension-desktop-icons (Ubuntu):
status: Incomplete → Invalid
vivek gangwar (vivekgangwar02) wrote :

I think issue is with dash to panel, I checked with dash to dock and it didnt happen: When we click the launcher icon the menu background that displays the apps dont vanish when you reclick the launcher button to hide it. Maybe due to that the things become unresponsive. It just shows a 'X' mark on top left in my case.

tags: added: focal
jonathan chetwynd (peepo-com) wrote :

I am having a similar experience.

I installed a brand new version 20.04lts today

I can find no instructions that work for me.

in particular 'Allow Launching' is not available
https://linuxconfig.org/how-to-create-desktop-shortcut-launcher-on-ubuntu-20-04-focal-fossa-linux

NB the executable is one that is downloaded and installed by me manually,
it runs fine from terminal...

my experience is as described above, disappearing .desktop files, sometimes available, even sometimes works. but all very kludgy and unprofessional.

Where are the correct instructions that work for fossa?

Tom F (n411303) wrote :

Sorry to hear of the problem. I followed the procedure mentioned in my initial post to create my launchers. I "solved" the problem by recreating my whole user profile. But the problem came back in limited forms. But not as bad. I am now largely free of issues and I put that down to software updates. If yours is a new build, you might try running all the updates. See also: https://askubuntu.com/questions/1261625/how-to-make-desktop-icons-display-on-startup-of-ubuntu-20-04-focal-fossa/1261626#1261626 which may help.

jonathan chetwynd (peepo-com) wrote :

The default position should be that the system creates an 'application' for each .desktop in ~/.local/share/applications.

it does not, and is rather particular...

in my case requiring full addresses was the issue.

even then, add to favourites was not immediately available,
which is frustrating.

for newbies, and aren't we all, if the 'app' appeared, but did not work,
at least we could have faith...

as it is its just a black box, with no insight as to what the issue may be.....

Daniel van Vugt (vanvugt) wrote :

jonathan,

Since this bug is closed, if you still have any problems then please open a new bug by running:

  ubuntu-bug gnome-shell-extension-desktop-icons

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.